Examplary
Start for free
Developer docs

Get sharing permissions

GEThttps://api.examplary.ai/permissions/{resource}

Get a list of users, groups and orgs that have access to a specific resource.

Path parameters

resourcestringrequired

The ID of the resource to list permissions for, e.g. `exam_1234`.

Responses

200 — List of permissions for the specified resource.

Array of object

actorobjectrequired
rolestringrequired

Allowed values:ownermanagereditorviewerparticipant

createdAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$required
updatedAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$required
createdBystringrequired
inheritedFromobject

Present when the actor inherits access because the resource lives in a shared folder.

400 — Validation Error

successbooleanrequired

Allowed values:false

errorarray any[]required
dataanyrequired

403 — No access to this resource.

Requirements

OAuth scopes

This endpoint requires the permissions:read scope to be present.